package com.kym.service;

import com.kym.entity.Faq;
import com.kym.entity.queryParams.FaqQueryParam;
import com.kym.service.mybatisplus.MyBaseService;

/**
 * <p>
 * 常见问题 服务类
 * </p>
 *
 * @author skyline
 * @since 2024-11-12
 */
public interface FaqService extends MyBaseService<Faq> {

    Long add(Faq faq);

    void modify(Faq faq);

    Object list(FaqQueryParam query);

    Faq detail(long id);

    void status(long id, int status);

    void remove(long id);
}
